org.apache.xmlbeans.impl.schema

## Class StscImporter.SchemaToProcess

- java.lang.Object
- - org.apache.xmlbeans.impl.schema.StscImporter.SchemaToProcess

Enclosing class:
  StscImporter

    public static class StscImporter.SchemaToProcess
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`SchemaToProcess(SchemaDocument.Schema schema, String chameleonNamespace)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`String` `getChameleonNamespace()` The chameleon namespace.
`List<RedefineDocument.Redefine>` `getRedefineObjects()`
`List<StscImporter.SchemaToProcess>` `getRedefines()` This method and the remaining methods are used to represent a directed graph of includes/redefines.
`SchemaDocument.Schema` `getSchema()` The schema to parse.
`String` `getSourceName()` The base URI for this stp
`int` `hashCode()`
`boolean` `indirectIncludes(StscImporter.SchemaToProcess schemaToProcess)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SchemaToProcess

    public SchemaToProcess(SchemaDocument.Schema schema,
                           String chameleonNamespace)

### Method Detail

#### getSchema

    public SchemaDocument.Schema getSchema()

The schema to parse.

#### getSourceName

    public String getSourceName()

The base URI for this stp

#### getChameleonNamespace

    public String getChameleonNamespace()

The chameleon namespace. Null if this schema is not being treated as a chameleon. (The ordinary targetNamespace will just be extracted from the syntax of the schema.)

#### getRedefines

    public List<StscImporter.SchemaToProcess> getRedefines()

This method and the remaining methods are used to represent a directed graph of includes/redefines. This is required in order to establish identity component by component, as required in xmlschema-1, chapter 4.2.2

#### getRedefineObjects

    public List<RedefineDocument.Redefine> getRedefineObjects()

#### indirectIncludes

    public boolean indirectIncludes(StscImporter.SchemaToProcess schemaToProcess)

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`